► |  | Package Management in Racket

1 | Getting Started with Packages
2 | Package Concepts
3 | Using raco pkg
4 | Package Metadata
5 | Source, Binary, and Built Packages
6 | Developing Packages with Git
7 | Package APIs
8 | Package Catalog Protocol
9 | PLane T Compatibility
10 | FAQ
11 | Future Plans
12 | How Package Installation and Distribution Works

▼ | 7 | Package APIs

7.1 | Functions for raco pkg
7.2 | Package Management Functions
7.3 | Package Paths and Database
7.4 | Package Source Parsing
7.5 | Package Catalog Database
7.6 | Package Directories Catalog
7.7 | Package Management Environment Variables

On this page:

pkg-install-command
pkg-update-command
pkg-remove-command
pkg-new-command
pkg-show-command
pkg-migrate-command
pkg-config-command
pkg-create-command
pkg-catalog-show-command
pkg-catalog-copy-command
pkg-catalog-archive-command
pkg-archive-command
pkg-empty-trash-command

top ← prev up next →

#### 7.1`` Functions for raco pkg

(require pkg) | package: base

The pkg module provides a programmatic interface to the raco pkg sub-subcommands.

Each-long form option of the command-line interface is a keyword argument to the functions described below. An argument corresponding to --type, --deps, --format, --scope, or --multi-clone accepts its argument as a symbol, while other flags that take arguments expect strings. An argument corresponding to --scope is also allowed to be a path string, as would be provided to --scope-dir. Options without argument correspond to keyword arguments that accept booleans, where #t is equivalent to the presence of the option.

> > value

> > pkg-install-command : procedure?

Implements raco pkg install.

> > value

> > pkg-update-command : procedure?

Implements raco pkg update.

> > value

> > pkg-remove-command : procedure?

Implements raco pkg remove.

> > value

> > pkg-new-command : procedure?

Implements raco pkg new.

> > value

> > pkg-show-command : procedure?

Implements raco pkg show.

> > value

> > pkg-migrate-command : procedure?

Implements raco pkg migrate.

> > value

> > pkg-config-command : procedure?

Implements raco pkg config.

> > value

> > pkg-create-command : procedure?

Implements raco pkg create.

> > value

> > pkg-catalog-show-command : procedure?

Implements raco pkg catalog-show.

> > value

> > pkg-catalog-copy-command : procedure?

Implements raco pkg catalog-copy.

> > value

> > pkg-catalog-archive-command : procedure?

Implements raco pkg catalog-archive.

Added in version 6.0.17 of package base.

> > value

> > pkg-archive-command : procedure?

Implements raco pkg archive.

Added in version 6.1.0.8 of package base.

> > value

> > pkg-empty-trash-command : procedure?

Implements raco pkg empty-trash.

Added in version 6.1.1.6 of package base.

top ← prev up next →